0


0

System.Web.Extensions 3.5.0.0と.NET 3.0

にアップグレードせずにSystem.Web.Extensions 3.5を使用することは可能ですか? .NET 3.5? We are using .NET 3.0 and have been asked to upgrade from web 拡張機能1.0から3.5。

2 Answer


3


完全に明確にするために:.Net 3.0および3.5は、既存の2.0フレームワークへの単なる追加です。 MSが行ったバージョニングは、やや間違っています。 .Net 4.0 is, however, an actual framework change.

確認のために、IIS(およびその他のもの)はアプリケーションを2.0アプリとして認識します。

とはいえ、3.5を使用可能にするためにサーバーを「アップグレード」しない理由はありません。 マシン上でそれぞれ独自のフレームワークレベルで複数のアプリを実行できます。

ここで、アプリケーションが3.0固有のライブラリを参照し、3.5アセンブリを使用するようにしたい場合、web.configとアセンブリマニフェストを3.5バージョンを指すように変更する必要があります。


0


No. 3.5にアップグレードしない場合、参照するアセンブリはありません。 とても簡単です。